## NEWS

Join our **DISCORD** to follow development news, submit bugs, feedback, and share your experience in general: https://discord.gg/9ZYGMzYd89
## Note: ONLY USE R2MODMAN TO INSTALL, DON'T USE TSMM

## CONTENT PROGRESS:

- T1 (Meadows) - Complete
- T2 (Black Forest) - Complete
- T3 (Swamp) - Under construction
- T4 (Mountain) - Under construction
- T5 (Plains) - Under construction
- T6 (Mistlands) - Under construction
- T7 (Deep North) - Under construction
- T8 (Ashlands) - Under construction
- T9 (Ocean) - Under construction


4.1.0 - 4.1.5 INSTALLATION INSTRUCTIONS:

	Thunderstore - use r2mm - delete current profile, create new, install EV, done
	
	Nexus - do these changes, skip ones that have been done before:


		Add SpawnerTweaks Mod (link in the EV page)
		Remove CustomizeAltars .dll / cfg's - mod now unused
		Replace BetterTrader.dll with the updated BetterTrader (link in the EV page)

	Thunderstore AND Nexus IN-GAME:

		Worlds created NOT on the latest patch require these commands (skip those that have been ran):
				
		
			locations_add TrollCave02:T1 start force
			locations_add TrollCave02:T2 start force
			locations_add StaminaGreydwarf:T1 start force
			locations_add StaminaGreydwarf:T2 start force
			locations_add Vendor_BlackForest start force
			locations_reset Eikthyrnir start
			locations_reset GDking start
			zones_reset start
			
			locations_add CopperMine1 start force
			locations_add CopperMine2 start force
			locations_add CopperMine3 start force



EV 4.1.5 RELEASE NOTES:

		
	Enchanting now uses its own table instead of Forge+Enchanter
	Enchanting resources can now also be purchased with Gamble Tokens
	Re-augmenting now costs increasing rarity Runestones
	IncreaseDamage no longer roll on staves
	Decreased damage of all stave variants
	All stave variants can now roll as unique-legendary with a guaranteed increased damage effect
	Fixed Golden Boar loot tables
	WorldTreeShard Trader cost increased to 500
	WorldTreeSeed, EmpoweredTrophyDeer and EmpoweredAncientSeed now have unique icons
	Fixed level gating
	Roaming Dvergrs now also drop various enchanting resources


EV 4.1.4 RELEASE NOTES:


	Epic Loot:
	
		Updated compatibility
		Fixed treasure maps
		Removed Stone items from drop/gamble tables.
		Tier creatures now drop tier-appropriate loot
		RemoveMovementSpeedPenalty can no longer be rolled on Staves
		
		
	Drops:
	
		Creatures dropping large quantities of gold now stack it
		Coins now weight 0.05, down from 0.1
		DarkElites now drop better enchanted equipment
		Looter Dvergr Cave Chest will now also contain Gamble tokens
		Looter Dvergr now drops 50 - 200 gold
		Looter Dvergr now drops Yellow-tinted Boar Skull
		Golden Boar now drops Yellow-tinted Boar Skull
		Non-DarkBiome creatures now drop Yellow-tinted Boar Skull
		Bosses now drop Yellow-tinted Boar Skull
		Bosses now drop Gamble tokens
		Bosses that have not been released in EV now drop Incorrect Installation Trophy
		
		
	Items:
	
		All T2 armor is now doubled in value and durability
		T2 armor is upgradable 3 times, down from 4, with increased resource cost and upgrade armor bonus
		Capes now provide armor identical to that tier's light helmet
		New Food: Empowered ItemName - doubles the health bonus at the cost of stamina
		Special food recipes now cost less Living Reagents and more Enchanted Dust
		Recycling will now always return at least one item
		All Staves now have added Spirit damage


	Creatures:
	
		Every creature now awards XP based on their difficulty
		All creatures are now susceptible to Spirit damage
		DarkBiome version of Ghost is now classified as elite, and can only be damaged by Spirit damage
		Greydwarf Shaman no longer offs itself, for real this time
		Roaming Dvergr Mages should no longer off themselves, or at least off themselves less often
		Roaming Dvergr Mages are now immune to Elemental damage, except for Spirit
		Bosses now take Normal Spirit damage, instead of VeryWeak
		New Event: Incarnated Eikthyr, available after T1
		Creatures tied to events are no longer vanilla variants
		Creatures tied to locations and dungeons are no longer vanilla variants
		Creatures tied to locations and dungeons can no longer level above 0 stars
		
		
	World:
	
		Added 3 variants of above-ground Copper deposits in DarkBlackForest
		Added Fint to DarkMeadows
		


EV 4.1.3 RELEASE NOTES:


	Dvergrs roaming in DarkBiomes have gone mad, and are now hostile to the player
	Creatures in DarkBiomes are now allied with each other
	Essence x10 recipe no longer requires Blank Runestone
	Trader's Gamble section no longer shows Antler Pickaxe
	Healer Dvergr no longer damages itself during combat
	Internal files have been adjusted to work in multiplayer, as a temporary fix
	
	

EV 4.1.2 RELEASE NOTES:


	Enchanting materials now stack up to 50
	WorldTreeSeeds now weight 5
	Eikthyr summon costs have been reduced and no longer require Trader discovery
	Roaming Dvergr spawn rates reduced
	DarkBlackForest spawnrates reduced, Elite spawnrates reduced further
	Skeletons no longer have double of their intended damage
    Added previously missing Yellow-tinted Boar Skull to 1/2-star loot tables
    Added Yellow-tinted Boar Skull drops to Boss loot ta
	Trader now has 8 spawn points up from 4 (pre-4.1.2 worlds require "locations_add Vendor_BlackForest start force" command)
	Fixed Trader's boss-summon-materials, Surtling Cores, Troll Hide, Core Wood, Fine Wood having unadjusted pricing
	Greydwarf Shaman no longer damages itself during combat
	Eitr staves that use Eitr now have their damage doubled
	Eitr-regen-low-health enchant now available
	Fixed Eitr related enchant text not show correctly
	Augmenter is now disabled, its material cost rolled into Enchanter
	Increased bosses Coins drop to 500-1000
	Fixed bosses not dropping half the summoning-cost resources back on death
	First augment now only costs Living Reagent
	Fixed droptables dropping previous tier loot
	Token gambles now have increased Coins price



EPIC VALHEIM 4.1.0, 4.1.1 COMBINED PATCH NOTES:

	
	NEW GAMEPLAY ELEMENT - GOLDEN BOARS:
	
		Pluck these mystical animals straight from Valhalla
		
			Available from T1, difficulty increases with tiers
			DarkBiome creatures have a very low chance of dropping Yellow-tinted Boar Skull
			Yellow-tinted Boar Skull x10 is crafted into Golden Trophy, which is used at Boar Altar
			Defeat summoned Golden Pride for a plentiful coin reward
		
		
	NEW GAMEPLAY ELEMENT - ROAMING DVERGRS:
	
		Some native Mistlands' inhabintants - Dvergrs, have embarked on their own journeys around Valheim
		
			Available from T1, these NPCs can be challenged for improved loot, or tamed to tag along in your own adventures
			Passive towards the player unless attacked
			Will eat various berries and mushrooms
		
		
	NEW GAMEPLAY ELEMENT - ABANDONED TROLL CAVES:
	
		Greed is good - or so thought the more mischievous Dvergrs
			
			Available from T1, these Dvergr NPC and their loot are hiding inside Troll Caves
			Each biome has its own cave system and appropriately scaled NPC
			Troll Caves are a finite location and does not regenerate
		

	NEW GAMEPLAY ELEMENT - CRAZED RUSH EVENT:
	
		Test your accumulated knowledge with this biome-graduation challenge
			
			Available  from first biome boss kill
			Three Crazed previous biome creatures have a chance to scout out and attack the player
			Duration: 300s
		
		
	NEW GAMEPLAY ELEMENT - EITR SORCERIES:
	
		Not all Dvergrs had passive attitude or selfish reasons - some of them were keen to spread the knowledge
			
			Available from T2
			Each tier has its own set of Fire and Frost staves
			Most staves consume Eitr, which is slowly replenished
			Each set has three stave versions:
				Resource-free entry level staff
				Moderate damage, moderate cost staff
				High damage, high cost staff with added Spirit damage
			Tier bosses are weak to Spirit damage
			Each tier has accompanying Eitr-infused armory - these can be crafted and gambled, but do not drop in the world
			Heavier armor produces less Eitr regen, Light vice versa
			Eitr resources are improvable via enchanting
			To start using Eitr, player must craft special Eitr-infused food, unlocked along the tiers' final recipes
			Using Eitr-infused food has Health/Stamina penalty
		
		
		
	DARK BIOME CREATURE VARIANTS:
	
		In addition of having all-around increased stats and loot, these creatures will also spawn as one of these variants
				
			Burning - deals additional fire damage
			Chilled - deals additional frost damage
			Decaying - deals additional poison damage
			Crackling - deals additional lightning damage
			Spirit - 50% of its damage is unblockable and goes through armor
			Crazed - deals increased base damage and chases the player
	

	LOOT DIVERSITY:
	
		Progression-list of creature drops - from regular items, to added magical materials, to added magical equipment 
				
			Regular biome regular creatures
			Regular biome elites (i.e. Troll, Greydwarf Brute)
			Dvergrs
			Dark biome regular creatures
			Dark biome elites
				
		Stars increase both quantities and rarities
		
		
	EPIC LOOT CHANGES:
		
		Updated resource distribution:
		
			Life Essence - creature drop - used mostly in Token crafting
			Living Reagent - disenchanted from trophies - used mostly in Eitr crafting and Augmenting
			Enchanted Dust - disenchanted from equipment - used mostly in Enchanting
			Worldtree Shard - crafted alongside world finds - used in various recipes
			Blank Runestone, various rarities - sold via Trader - used in various recipes and Re-Augmenting
		
		
		Reworked Trader's Adventure tab:
			
			Bounties are now gated by current tier
			Finishing a bounty contract now awards Haldor's special Treasure Chest
			Among various magical trinkets, chest also contains Tokens which increase gamble success chances
			Treasure map hunts reward lesser version of gamble Tokens among magical resources
			Sale section now lists various magical resources at an increased price
			Reworked gamble success chances and rarities:
				No Token: 20/20/20/20/20
				Forest Token: 0/0/0/50/50
				Gold Token: 0/0/0/0/100
			All gambles now cost 500 coins
		
		
		Reworked enchanting stats:
		
			Every rarity now has the same, very low stat roll floor
			Stat roll ceiling increases with rarity
			Stat roll ceiling is overall higher compared to pre-4.1
			Set effects overall stronger compared to pre-4.1
			Enchant count increased to:
				Magic - 2, 75; 3, 25
				Rare - 3, 75; 4, 25
				Epic - 4, 75; 5, 25
				Legendary - 5, 75; 6, 25
		
		
		
	OTHER CHANGES:
	
		Food stats are no longer halved from pre-4.1
		Deer trophies needed for T1 boss slightly reduced
		Disenchanting elite trophies now yelds more reagents
		Slightly reduced DarkBiome WorldTreeSeed spawn rate
		Ghost now spawns in T2 natively
		Tier bosses now have increased elemental damage
		Disabled WackyMMO's level scaling restrictions 
		Trader now has 4 potential spawn locations in a ~15% world diameter from the center
		


	GAMEPLAY LOOP PHILOSOPHY:
		
		Balancing for EV is mostly eyeballed - things are more likely to be overpowered than underpowered
		Entering new biome should feel challenging - start by taking it slow instead of attempting Dark version
		Compared to pre-4.1 there are more methods to aquire gear and resources, but everything costs more too
		Striving to min-max aquired gear, and constantly seeking new ways to aquire gear is crucial to the success
		Maintaning decent magic resistance levels is crucial to the success
		Continuously practicing dodging/blocking/parrying is crucial to the success
		Running from encounters you're not ready to undertake is crucial to the success
		Some creatures can straight up destroy you regardless of your level or gear - do not underestimate 2-Stars
		Do not look Trolls in the eyes
		
		 p.s. - absolutely do report things that felt off balance-wise in the Discord
		 p.p.s - most importantly of all - have fun!		
		
		
		
AUTHORS NOTE:

	Designing, writing and maintaining EV is quite a lot of man hours
	If you'd like to support the modpack, you can do so at:
		@paypal linamuss@gmail.com
		patreon.com/CaptainIceblock